Skip to main content
PUT
/
security
/
sifter
/
v3
/
profiles
/
{protection_profile_id}
Update protection profile
curl --request PUT \
  --url https://api.gcore.com/security/sifter/v3/profiles/{protection_profile_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    {
      "name": "bandwidth_limit",
      "template_field_id": 5,
      "value": "200"
    }
  ],
  "name": "Updated Web Server Protection",
  "template_id": 2
}
'
{
  "client_id": 3,
  "created_at": "2025-06-15T10:30:00Z",
  "fields": [
    {
      "template_field_id": 5,
      "value": "100"
    },
    {
      "template_field_id": 8,
      "value": "enabled"
    }
  ],
  "id": 10,
  "modified_at": "2025-07-20T14:45:00Z",
  "name": "Web Server Protection",
  "networks": [
    "192.168.1.0/24",
    "10.0.0.0/16"
  ],
  "template": {
    "id": 1,
    "name": "DDoS Protection Standard"
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

protection_profile_id
integer
required

A positive integer ID

Required range: 1 <= x <= 1000000000

Body

application/json
name
string | null

Name of the protection profile

Required string length: 1 - 100
template_id
integer | null

Identifier of the template to use

fields
ProfileFieldIn · object[] | null

List of field values for the profile

Response

Successful Response

id
integer
required

Identifier for the protection profile

client_id
integer | null
required

Identifier of the client owning this profile

name
string
required

Name of the protection profile

fields
ProfileField · object[]
required

List of profile field values

template
ProfileTemplateInProfile · object
required

Associated profile template

Example:
{
"id": 1,
"name": "DDoS Protection Standard"
}
created_at
string<date-time>
required

Timestamp when the profile was created

modified_at
string<date-time> | null
required

Timestamp of the last modification

networks
(string<ipv4network> | string<ipv6network>)[]
required